Page MenuHomePhabricator

Drop localisation and localisation_file_hash tables, l10nwiki databases too
Closed, ResolvedPublic

Description

https://wikitech.wikimedia.org/w/index.php?title=LocalisationUpdate&oldid=210587#Todo

localisation and localisation_file_hash tables should be deleted, plus l10nwiki databases. The list was as below:

  • Singletons:
    • enwiki on s1
    • dewiki on s5
    • frwiki on s6
    • jawiki on s6
    • commonswiki on s4
  • Shared:
    • l10nwiki on s2 (run via bgwiki)
    • l10nwiki on s3 (run via aawiki)

But if those tables exist anywhere else too, they should be deleted

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Nov 28 2015, 11:11 PM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a project: DBA.
Reedy added a subscriber: Reedy.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 28 2015, 11:11 PM
Reedy renamed this task from Drop localisation and localisation_file_hash tables to Drop localisation and localisation_file_hash tables, l10nwiki databases too.Nov 28 2015, 11:15 PM
Reedy updated the task description. (Show Details)

Current status:
s1:

-rw-rw---- 1 mysql mysql 1.0M Mar 22  2013 ./enwiki/localisation_file_hash.ibd

s2:

-rw-rw---- 1 mysql mysql 1.0M Sep 25  2013 ./l10nwiki/localisation_file_hash.ibd
root@db1054:/srv/sqldata/l10nwiki# ls -lh
total 2.1M
-rw-rw---- 1 mysql mysql   54 Sep 24  2013 db.opt
-rw-rw---- 1 mysql mysql 8.5K Sep 24  2013 localisation_file_hash.frm
-rw-rw---- 1 mysql mysql 1.0M Sep 25  2013 localisation_file_hash.ibd
-rw-rw---- 1 mysql mysql 8.5K Sep 24  2013 localisation.frm
-rw-rw---- 1 mysql mysql 1.0M Sep 25  2013 localisation.ibd

s3:

-rw-rw---- 1 mysql mysql 128K Nov 18  2015 ./l10nwiki/localisation_file_hash.ibd
-rw-rw---- 1 mysql mysql 432K Nov 18  2015 ./testwiki/localisation_file_hash.ibd

root@db1075:/srv/sqldata/l10nwiki# pwd
/srv/sqldata/l10nwiki
root@db1075:/srv/sqldata/l10nwiki# ls -lh
total 236K
-rw-rw---- 1 mysql mysql   54 Sep 25  2013 db.opt
-rw-rw---- 1 mysql mysql 2.3K Nov 18  2015 localisation_file_hash.frm
-rw-rw---- 1 mysql mysql 128K Nov 18  2015 localisation_file_hash.ibd
-rw-rw---- 1 mysql mysql 1.3K Nov 18  2015 localisation.frm
-rw-rw---- 1 mysql mysql  96K Nov 18  2015 localisation.ibd

s4:

-rw-rw---- 1 mysql mysql 128K Apr  5 13:34 ./commonswiki/localisation_file_hash.ibd

s5:

-rw-rw---- 1 mysql mysql 1.0M Aug 30  2014 ./dewiki/localisation_file_hash.ibd

s6:

-rw-rw---- 1 mysql mysql 1.0M Oct  8  2013 ./frwiki/localisation_file_hash.ibd
-rw-rw---- 1 mysql mysql 1.0M Oct  8  2013 ./jawiki/localisation_file_hash.ibd

s7: no tables

Mentioned in SAL (#wikimedia-operations) [2017-06-27T13:52:00Z] <marostegui> Rename table enwiki.localisation_file_hash on db1089 - T119811

Marostegui moved this task from Triage to In progress on the DBA board.

I have renamed the table on db1089 and will leave it there for a few days to make sure nothing breaks:

root@db1089[enwiki]> set session sql_log_bin=0;
Query OK, 0 rows affected (0.00 sec)

root@db1089[enwiki]> rename table localisation_file_hash to T119811_localisation_file_hash;
Query OK, 0 rows affected (0.01 sec)

If this needs to be reverted:

set session sql_log_bin=0;

rename table T119811_localisation_file_hash to localisation_file_hash;
Marostegui triaged this task as Medium priority.Jun 27 2017, 2:14 PM

I have taken a backup of these (mostly totally empty) tables on:

dbstore1001:/srv/tmp/T119811
root@dbstore1001:/srv/tmp/T119811# du -sh .
132K	.

Mentioned in SAL (#wikimedia-operations) [2017-07-10T08:03:50Z] <marostegui> Drop database l10nwiki on s2 - T119811

Dropped on s2.

Mentioned in SAL (#wikimedia-operations) [2017-07-11T07:57:55Z] <marostegui> Drop localisation_file_hash table from frwiki and jawiki (s6) - T119811

Dropped from s6 (frwiki and jawiki)

Mentioned in SAL (#wikimedia-operations) [2017-07-11T08:17:59Z] <marostegui> Drop localisation_file_hash table from dewiki (s5) - T119811

Dropped from s5 (dewiki)

Mentioned in SAL (#wikimedia-operations) [2017-07-11T10:11:32Z] <marostegui> Drop table localisation_file_hash from commonswiki - T119811

Dropped from s4 (commonswiki)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T07:27:43Z] <marostegui> Drop table localisation_file_hash from enwiki - T119811

Dropped from s1 (enwiki)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T07:29:50Z] <marostegui> Drop table localisation_file_hash from testwiki and drop database l10nwiki on s3 - T119811

Marostegui closed this task as Resolved.Jul 12 2017, 7:30 AM

Dropped from s3

Krinkle reopened this task as Open.Mar 28 2018, 12:14 AM
Krinkle added a subscriber: Krinkle.

The localisation table seems to still exists, at least on enwiki/db1080 where I checked.

Mentioned in SAL (#wikimedia-operations) [2018-04-02T06:06:31Z] <marostegui> Drop localisation table from the hosts where it still existed - T119811

Marostegui closed this task as Resolved.Apr 2 2018, 6:07 AM

Thanks for letting us know. I have removed localisationtable and checked across all the servers in all the shards!

Change 424168 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] wiki replicas: Remove localisation and localisation_file_hash views

https://gerrit.wikimedia.org/r/424168

Change 424168 merged by Bstorm:
[operations/puppet@production] wiki replicas: Remove localisation and localisation_file_hash views

https://gerrit.wikimedia.org/r/424168